package org.dromara.system.service;

import org.dromara.system.domain.bo.SysIndustryBo;
import org.dromara.system.domain.vo.SysIndustryVo;

import java.util.List;

public interface ISysIndustryService {
    List<SysIndustryVo> queryList(SysIndustryBo bo);
    List<SysIndustryVo> queryListIgnoreTenant(SysIndustryBo bo);
    SysIndustryVo queryById(Long industryId);
    Boolean insertByBo(SysIndustryBo bo);
    Boolean updateByBo(SysIndustryBo bo);
    Boolean deleteById(Long industryId);
}
